Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
ktthserv.h File Reference

threaded server More...

`#include <ktcommon.h>`
`#include <ktutil.h>`
`#include <ktsocket.h>`

## Classes
class | kyototycoon::ThreadedServer
| Threaded TCP Server. More...
class | kyototycoon::ThreadedServer::Logger
| Interface to log internal information and errors. More...
class | kyototycoon::ThreadedServer::Worker
| Interface to process each request. More...
class | kyototycoon::ThreadedServer::Session
| Interface to access each session data. More...
class | kyototycoon::ThreadedServer::Session::Data
| Interface of session local data. More...
class | kyototycoon::ThreadedServer::TaskQueueImpl
| Task queue implementation.
class | kyototycoon::ThreadedServer::SessionTask
| Task with a session.
## Namespaces
namespace | kyototycoon
| All symbols of Kyoto Tycoon.

## Detailed Description

threaded server